import { HttpCollector } from '@spotify/backstage-plugin-soundcheck-backend-module-http';

export interface Config {
  /**
   * Configuration options for the soundcheck plugin.
   */
  soundcheck?: {
    /**
     * Yaml configuration options for Soundcheck Fact Collectors.
     * Optional, fact collectors can also be configured via No-Code UI.
     *
     * @visibility backend
     */
    collectors?: {
      /**
       * Configuration options for Soundcheck HTTP Fact Collector.
       *
       * @visibility backend
       */
      http?: {
        /**
         * Configuration options for secrets to be used to configure Soundcheck HTTP Fact Collector.
         *
         * @visibility backend
         */
        secrets?: {
          /**
           * Secret key.
           *
           * @visibility backend
           */
          key: string;
          /**
           * Secret value.
           *
           * @visibility secret
           */
          value: string;
        }[];
        /**
         * Configuration options for Soundcheck HTTP Fact Collector.
         *
         * @visibility backend
         */
        collects?: HttpCollector[];
      };
    };
  };
}
